[tool.poetry]
name = "frag-worker"
version = "0.1.0"
description = ""
authors = ["Yann Beauxis <dev@yannbeauxis.net>"]

[tool.poetry.dependencies]
python = "^3.8"
celery = "^5.2.1"
cfm-id = "^0.1.5"
pydantic = "^1.8.2"
requests = "^2.26.0"

[tool.poetry.dev-dependencies]
pytest = "^6.0.0"
black = "^21.5b2"
rope = "^0.19.0"
pylint = "^2.8.3"
flake8 = "^4.0.1"
mypy = "^0.910"
types-setuptools = "^57.4.2"
pytest-cov = "^3.0.0"

[tool.poetry.scripts]
test = "tests.cli:run"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
